SQUID_DB_AUTH(8)

NAME
squid_db_auth - Database auth helper for Squid

SYNOPSIS
squid_db_auth [options]

DESCRIPTOIN
This program verifies username & password to a database

--dsn
    Database DSN. Default "DBI:mysql:database=squid"

--user
    Database User

--password
    Database password

--table
    Database table. Default "passwd".

--usercol
    Username column. Default "user".

--passwdcol
    Password column. Default "password".

--cond
    Condition, defaults to enabled=1. Specify 1 or "" for no condition If you use --joomla flag, this condition will be changed to block=0

--plaintext
    Database contains plain-text passwords

--md5
    Database contains unsalted md5 passwords

--salt
    Selects the correct salt to evaluate passwords

--persist
    Keep a persistent database connection open between queries.

--joomla
    Tells helper that user database is Joomla DB. So their unusual salt hashing is understood.

COPYRIGHT
Copyright (C) 2007 Henrik Nordstrom <henrik@henriknordstrom.net> Copyright (C) 2010 Luis Daniel Lucio Quiroz <dlucio@okay.com.mx> (Joomla support) This program is free software. You may redistribute copies of it under the terms of the GNU General Public License version 2, or (at youropinion) any later version.